Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.lib.conf
Interface Configurable

All Known Subinterfaces:
  Auditor, CacheDistributionPolicy, FinderCache<K,V,R>, PreparedQueryCache

All Known Implementing Classes:
  AbstractDataCache, AbstractDB2Dictionary, AbstractInstrumentationProvider, AbstractJDBCSavepointManager, AbstractQueryCache, AbstractRemoteCommitProvider, AbstractSQLServerDictionary, AbstractUpdateManager, AccessDictionary, AuditLogger, AutoDriverDataSource, AutomaticManagedRuntime, BatchingConstraintUpdateManager, BatchingOperationOrderUpdateManager, CacheDictionary, CacheMarshallerImpl, ClassTableJDBCSeq, ConcurrentDataCache, ConcurrentQueryCache, ConstraintUpdateManager, DB2Dictionary, DBCPDriverDataSource, DBDictionary, DBIdentifierUtilImpl, DefaultCacheDistributionPolicy, DerbyDictionary, DynamicSchemaFactory, EmpressDictionary, FileSchemaFactory, FinderCacheImpl, FirebirdDictionary, FoxProDictionary, H2Dictionary, HSQLDictionary, IdentifierUtilImpl, InformixDictionary, IngresDictionary, InterbaseDictionary, InverseManager, InvocationManagedRuntime, JDataStoreDictionary, JDBC3SavepointManager, JMSRemoteCommitProvider, JMXProvider, LazySchemaFactory, LogFactoryImpl, MappingDefaultsImpl, MappingRepository, MaxDBDictionary, MetaDataRepository, MySQLDictionary, NativeJDBCSeq, OpenJPAVersionAndConfigurationTypeValidationPolicy, OperationOrderUpdateManager, OracleDictionary, PartitionedDataCache, PersistenceMappingDefaults, PersistenceMappingFactory, PersistenceMetaDataFactory, PointbaseDictionary, PostgresDictionary, PreparedQueryCacheImpl, SingleJVMRemoteCommitProvider, SolidDBDictionary, SQLFactoryImpl, SQLServerDictionary, SybaseDictionary, TableJDBCSeq, TableSchemaFactory, TCPRemoteCommitProvider, TypeBasedCacheDistributionPolicy, ValidatingLifecycleEventManager, ValueTableJDBCSeq, WASManagedRuntime

    public interface Configurable

This interface provides a mechanism for notifying interested objects when configuration events occur. It provides an object with the opportunity to set itself up for configuration and to perform any necessary post-configuration.

Author:
  Patrick Linskey

Method Summary
`void` | `endConfiguration()` Invoked upon completion of bean property configuration for this object.
`void` | `setConfiguration(Configuration conf)` Invoked prior to setting bean properties.
`void` | `startConfiguration()` Invoked before bean property configuration is begun on this object.

Method Detail

### setConfiguration

    void setConfiguration(Configuration conf)

  Invoked prior to setting bean properties.

### startConfiguration

    void startConfiguration()

  Invoked before bean property configuration is begun on this object.

### endConfiguration

    void endConfiguration()

  Invoked upon completion of bean property configuration for this object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.